import { SocketEvent } from '#application/enums';
import { Server as SocketServer } from 'socket.io'

import type { TSocket } from '#application/types'

export default class SomeJob {
  constructor(private params: any) {}

  async execute(io: SocketServer, socket?: TSocket) {
    // Handle the event
    if (socket) {
      socket.emit(SocketEvent.NOTIFICATION, { message: 'Something happened with socket' })
    }
    // Use io for broadcasting if needed
    io.emit(SocketEvent.NOTIFICATION, { message: 'Something happened' })
  }
}
